[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TOnDBImageRead

Specifies an event handler signalled to identify the graphic type for a database image.

## Declaration

Source position: dbctrls.pp line 1169

`type TOnDBImageRead = procedure(`
`Sender: TObject;`
`S: TStream;`
`var GraphExt: string`
`) of object;`

## Arguments

`Sender` |  | Object (TDBImage) instance for the event notification.
`S` |  | Stream instance with the image data examined in the event handler.
`GraphExt` |  | Returns the file extension used for the graphic type, or an empty string when not determined.

## Description

TOnDBImageRead is the type used for the OnDBImageRead property in TDBImage. It provides a mechanism for identifying the graphic class needed to load image content in the specified stream. In general, it is used when image data in S contains an additional header that must be processed / handled prior to reading the raw image data.

## See also

TDbImage.OnDbImageRead |  | Event to read a custom header from image stream.
TDbImage.LoadPicture |  | Loads the graphic content for the control from a field in the linked dataset.